package com.njcn.device.pq.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.njcn.device.pq.pojo.dto.SubstationDTO;
import com.njcn.device.pq.pojo.po.Line;
import com.njcn.device.pq.pojo.po.LineDetail;
import com.njcn.device.pq.pojo.po.Substation;
import com.njcn.device.pq.pojo.vo.LedgerSelectVO;

import java.util.List;

/**
 * @author hongawen
 * @version 1.0.0
 * @date 2022年10月13日 20:10
 */
public interface ISubstationService extends IService<Substation> {

    /**
     * 根据变电站ID获取变电站信息
     *
     * @param subId 变电站ID
     * @return 变电站信息
     */
    List<SubstationDTO> getSubstationById(List<String> subId);

    List<LedgerSelectVO>  getSubstationSelect();

    List<LedgerSelectVO> getBusBarSelect(String stationId);

    List<Line> getMonitorSelect(String stationId);

    List<LineDetail> getPowerByStationId(String stationId,Integer powerFlag);
}
